<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-header">
        <strong *ngIf="id; else newTitle">Edit Person</strong>
        <ng-template #newTitle>
          <strong>New Person</strong>
        </ng-template>
      </div>
      <form [formGroup]="person" (ngSubmit)="onSubmit()">
        <div class="card-body">
          <div class="form-group">
            <label class="form-col-form-label" for="name">Name</label>
            <input type="text" class="form-control" id="name" formControlName="name">
          </div>
          <div class="form-group">
            <label for="gender">Gender</label>
            <select id="gender" name="gender" class="form-control" formControlName="gender">
              <option value="">Please select</option>
              <option value="F" [selected]="person.value.gender === 'Female'">Female</option>
              <option value="M" [selected]="person.value.gender === 'Male'">Male</option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-col-form-label" for="cpf">CPF</label>
            <input type="text" class="form-control" id="cpf" formControlName="cpf" mask="000.000.000-00">
          </div>
          <div class="form-group">
            <label class="form-col-form-label" for="email">E-mail</label>
            <input type="text" class="form-control" id="email" formControlName="email">
          </div>
          <div class="form-group">
            <label class="form-col-form-label" for="password">Password</label>
            <input type="password" class="form-control" id="password" formControlName="password">
          </div>
          <div class="form-group row">
            <label class="col-12 col-form-label">Role</label>
            <div class="col-12 col-form-label">
              <div class="form-check checkbox">
                <input class="form-check-input" type="checkbox" id="admin-checkbox" value="ADMIN" [checked]="isChecked('ADMIN')" (change)="onCheckboxChange($event)">
                <label class="form-check-label" for="admin-checkbox">Admin</label>
              </div>
              <div class="form-check checkbox mt-2">
                <input class="form-check-input" type="checkbox" id="evaluator-checkbox" value="EVALUATOR" [checked]="isChecked('EVALUATOR')" (change)="onCheckboxChange($event)">
                <label class="form-check-label" for="evaluator-checkbox">Evaluator</label>
              </div>
              <div class="form-check checkbox mt-2">
                <input class="form-check-input" type="checkbox" id="rated-checkbox" value="RATED" [checked]="isChecked('RATED')" (change)="onCheckboxChange($event)">
                <label class="form-check-label" for="rated-checkbox">Rated</label>
              </div>
            </div>
          </div>
        </div>
        <div class="card-footer">
          <button type="submit" class="btn btn-sm btn-primary" [disabled]="person.invalid"><i class="fa fa-dot-circle-o"></i> Submit</button>
          <button type="button" class="btn btn-sm btn-danger" (click)="onGoBack()"><i class="fa fa-arrow-left"></i> Go Back</button>
        </div>
      </form>
    </div>
  </div>
</div>
